%define name SpiralLoops
%define version 2.0.0

Name:    %{name}
Summary: Experimental loop based sampler
Version: %{version}
Release: %mkrel 8

Source:		%name-%{version}.tar.bz2
Source1: 	SpiralLogo48.png
Source2: 	SpiralLogo32.png
Source3: 	SpiralLogo16.png
Patch:		%name-2.0.0.patch
Patch1:         SpiralLoops-2.0.0-fix-build.patch
Patch2:		SpiralLoops-2.0.0-gcc43.patch
Patch3:		SpiralLoops-2.0.0-newer-fltk.patch
URL:		http://www.pawfal.org/Software/SpiralLoops
License:	GPLv2+
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	fltk-devel
BuildRequires:	mesagl-devel

%description
The idea of SpiralLoops is to provide a simple, visual tool for looping and
layering of sounds; which can be sourced from either wav files on disk, or
from sound generating plugins.

SpiralLoops allows you to create loop based compositions with the minimum
feedback time between the decisions you make and your ears.
The looping mechanism is very flexible, you can lock the timing of loops
together, or offset them for creating complex sequences, such as polyrhythms.
Loop triggers can be used to cause interation between the loops, and as an
expermental way of creating music.

Spiral Synth uses the standard OSS/Free sound output (/dev/dsp). This should
work on ALSA too.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0
perl -p -i -e 's/usr\/X11R6\/lib/usr\/X11R6\/%{_lib}/g' Makefile.in

%build
%configure2_5x
%make CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LFLAGS="%{?ldflags}"
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir

#menu


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Synthesized Loops
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Video;AudioVideoEditing;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root)
%doc README COPYING CHANGES
%{_bindir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Sun Dec 14 2008 Funda Wang <fundawang@mandriva.org> 2.0.0-8mdv2009.0
+ Revision: 314195
- BR GL
- add gcc 4.3 patch
- adopt to newer fltk

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - import SpiralLoops

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Sep 12 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.0-5mdv2007.0
- Use mkrel
- XDG

* Wed Nov 9 2005 Austin Acton <austin@mandriva.org> 2.0.0-4mdk
- lib64 fix

* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.0-3mdk
- Rebuild

* Fri Apr 2 2004 Austin Acton <austin@mandrake.org> 2.0.0-2mdk
- stale rebuild

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 2.0.0-1mdk
- initial package
- patch from Narfi Stefansson <narfi@cs.wisc.edu>
